<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EscherTextboxRecord (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EscherTextboxRecord (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EscherTextboxRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ddf/EscherTertiaryOptRecord.html"
               title="class in org.apache.poi.ddf"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ddf/NullEscherSerializationListener.html"
               title="class in org.apache.poi.ddf"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ddf/EscherTextboxRecord.html" target="_top">Frames</a></li>
        <li><a href="EscherTextboxRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ddf</div>
    <h2 title="Class EscherTextboxRecord" class="title">Class EscherTextboxRecord</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../org/apache/poi/ddf/EscherRecord.html" title="class in org.apache.poi.ddf">org.apache.poi.ddf.EscherRecord</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.ddf.EscherTextboxRecord</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">EscherTextboxRecord</span>
extends <a href="../../../../org/apache/poi/ddf/EscherRecord.html" title="class in org.apache.poi.ddf">EscherRecord</a>
implements java.lang.Cloneable</pre>
                <div class="block">Holds data from the parent application. Most commonly used to store
                    text in the format of the parent application, rather than in
                    Escher format. We don't attempt to understand the contents, since
                    they will be in the parent's format, not Escher format.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html#RECORD_DESCRIPTION">RECORD_DESCRIPTION</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html#RECORD_ID">RECORD_ID</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html#EscherTextboxRecord--">EscherTextboxRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html"
                                        title="class in org.apache.poi.ddf">EscherTextboxRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html#clone--">clone</a></span>()</code>
                                    <div class="block">Escher records may need to be clonable in the future.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                       title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>
                                    <div class="block">The contract of this method is to deserialize an escher record
                                        including
                                        it's children.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected java.lang.Object[][]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html#getAttributeMap--">getAttributeMap</a></span>()</code>
                                    <div class="block">For the purpose of providing toString() and toXml() a subclass
                                        can either override those methods
                                        or provide a Object[][] array in the form { { "Attribute Name (Header)", value,
                                        "optional attribute", value }, ...
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html#getData--">getData</a></span>()</code>
                                    <div class="block">Returns any extra data associated with this record.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html#getRecordName--">getRecordName</a></span>()</code>
                                    <div class="block">Subclasses should return the short name for this escher record.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html#getRecordSize--">getRecordSize</a></span>()</code>
                                    <div class="block">Subclasses should effeciently return the number of bytes required
                                        to
                                        serialize the record.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html#serialize-int-byte:A-org.apache.poi.ddf.EscherSerializationListener-">serialize</a></span>(int&nbsp;offset,
                                    byte[]&nbsp;data,
                                    <a href="../../../../org/apache/poi/ddf/EscherSerializationListener.html"
                                       title="interface in org.apache.poi.ddf">EscherSerializationListener</a>&nbsp;listener)</code>
                                    <div class="block">Serializes the record to an existing byte array.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html#setData-byte:A-">setData</a></span>(byte[]&nbsp;b)</code>
                                    <div class="block">Sets the extra data (in the parent application's format) to be
                                        contained by the record.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html#setData-byte:A-int-int-">setData</a></span>(byte[]&nbsp;b,
                                    int&nbsp;start,
                                    int&nbsp;length)</code>
                                    <div class="block">Sets the extra data (in the parent application's format) to be
                                        contained by the record.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ddf.EscherRecord">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ddf.<a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                        title="class in org.apache.poi.ddf">EscherRecord</a></h3>
                                <code><a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html#display-java.io.PrintWriter-int-">display</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#fillFields-byte:A-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#getChild-int-">getChild</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#getChildRecords--">getChildRecords</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#getInstance--">getInstance</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#getOptions--">getOptions</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#getRecordId--">getRecordId</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#getVersion--">getVersion</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#isContainerRecord--">isContainerRecord</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#readHeader-byte:A-int-">readHeader</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#readInstance-byte:A-int-">readInstance</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#serialize--">serialize</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#serialize-int-byte:A-">serialize</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#setChildRecords-java.util.List-">setChildRecords</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#setInstance-short-">setInstance</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#setOptions-short-">setOptions</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#setRecordId-short-">setRecordId</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#setVersion-short-">setVersion</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#toString--">toString</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherRecord.html#toXml--">toXml</a>, <a
                                            href="../../../../org/apache/poi/ddf/EscherRecord.html#toXml-java.lang.String-">toXml</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="RECORD_ID">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RECORD_ID</h4>
                                <pre>public static final&nbsp;short RECORD_ID</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.ddf.EscherTextboxRecord.RECORD_ID">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="RECORD_DESCRIPTION">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>RECORD_DESCRIPTION</h4>
                                <pre>public static final&nbsp;java.lang.String RECORD_DESCRIPTION</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.ddf.EscherTextboxRecord.RECORD_DESCRIPTION">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="EscherTextboxRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>EscherTextboxRecord</h4>
                                <pre>public&nbsp;EscherTextboxRecord()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillFields</h4>
                                <pre>public&nbsp;int&nbsp;fillFields(byte[]&nbsp;data,
                      int&nbsp;offset,
                      <a href="../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                         title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">EscherRecord</a></code></span>
                                </div>
                                <div class="block">The contract of this method is to deserialize an escher record
                                    including
                                    it's children.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                                            title="class in org.apache.poi.ddf">EscherRecord</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - The byte array containing the serialized escher
                                        records.
                                    </dd>
                                    <dd><code>offset</code> - The offset into the byte array.</dd>
                                    <dd><code>recordFactory</code> - A factory for creating new escher records.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The number of bytes written.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serialize-int-byte:A-org.apache.poi.ddf.EscherSerializationListener-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;int&nbsp;serialize(int&nbsp;offset,
                     byte[]&nbsp;data,
                     <a href="../../../../org/apache/poi/ddf/EscherSerializationListener.html"
                        title="interface in org.apache.poi.ddf">EscherSerializationListener</a>&nbsp;listener)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html#serialize-int-byte:A-org.apache.poi.ddf.EscherSerializationListener-">EscherRecord</a></code></span>
                                </div>
                                <div class="block">Serializes the record to an existing byte array.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherRecord.html#serialize-int-byte:A-org.apache.poi.ddf.EscherSerializationListener-">serialize</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                                            title="class in org.apache.poi.ddf">EscherRecord</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - the offset within the byte array</dd>
                                    <dd><code>data</code> - the data array to serialize to</dd>
                                    <dd><code>listener</code> - a listener for begin and end serialization events. This
                                        is useful because the serialization is
                                        hierarchical/recursive and sometimes you need to be able
                                        break into that.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the number of bytes written.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getData</h4>
                                <pre>public&nbsp;byte[]&nbsp;getData()</pre>
                                <div class="block">Returns any extra data associated with this record. In practice excel
                                    does not seem to put anything here, but with PowerPoint this will
                                    contain the bytes that make up a TextHeaderAtom followed by a
                                    TextBytesAtom/TextCharsAtom
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the extra data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setData-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setData</h4>
                                <pre>public&nbsp;void&nbsp;setData(byte[]&nbsp;b,
                    int&nbsp;start,
                    int&nbsp;length)</pre>
                                <div class="block">Sets the extra data (in the parent application's format) to be
                                    contained by the record. Used when the parent application changes
                                    the contents.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>b</code> - the buffer which contains the data</dd>
                                    <dd><code>start</code> - the start position in the buffer</dd>
                                    <dd><code>length</code> - the length of the block</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setData-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setData</h4>
                                <pre>public&nbsp;void&nbsp;setData(byte[]&nbsp;b)</pre>
                                <div class="block">Sets the extra data (in the parent application's format) to be
                                    contained by the record. Used when the parent application changes
                                    the contents.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>b</code> - the data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRecordSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordSize</h4>
                                <pre>public&nbsp;int&nbsp;getRecordSize()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html#getRecordSize--">EscherRecord</a></code></span>
                                </div>
                                <div class="block">Subclasses should effeciently return the number of bytes required to
                                    serialize the record.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherRecord.html#getRecordSize--">getRecordSize</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                                            title="class in org.apache.poi.ddf">EscherRecord</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of bytes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/ddf/EscherTextboxRecord.html"
                                                    title="class in org.apache.poi.ddf">EscherTextboxRecord</a>&nbsp;clone()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html#clone--">EscherRecord</a></code></span>
                                </div>
                                <div class="block">Escher records may need to be clonable in the future.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherRecord.html#clone--">clone</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                                            title="class in org.apache.poi.ddf">EscherRecord</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the cloned object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRecordName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getRecordName()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html#getRecordName--">EscherRecord</a></code></span>
                                </div>
                                <div class="block">Subclasses should return the short name for this escher record.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherRecord.html#getRecordName--">getRecordName</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                                            title="class in org.apache.poi.ddf">EscherRecord</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the short name for this escher record</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAttributeMap--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getAttributeMap</h4>
                                <pre>protected&nbsp;java.lang.Object[][]&nbsp;getAttributeMap()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/ddf/EscherRecord.html#getAttributeMap--">EscherRecord</a></code></span>
                                </div>
                                <div class="block">For the purpose of providing toString() and toXml() a subclass can
                                    either override those methods
                                    or provide a Object[][] array in the form <code>{ { "Attribute Name (Header)",
                                        value, "optional attribute", value }, ... } </code>.<p>

                                        Null values won't be printed.
                                    <p>

                                        The attributes record, version, instance, options must not be returned.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherRecord.html#getAttributeMap--">getAttributeMap</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherRecord.html"
                                                            title="class in org.apache.poi.ddf">EscherRecord</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the attribute map</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EscherTextboxRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ddf/EscherTertiaryOptRecord.html"
               title="class in org.apache.poi.ddf"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ddf/NullEscherSerializationListener.html"
               title="class in org.apache.poi.ddf"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ddf/EscherTextboxRecord.html" target="_top">Frames</a></li>
        <li><a href="EscherTextboxRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
